<?php
$this->extend('/Common/view');
$this->assign('title', __d('buzz_photos', 'Find your activity images'));
?>

<div class="photo-module">
	<h3><?php echo __d('buzz_photos', 'Select the activity you took part in:'); ?></h3>

	<div class="spacer--1"></div>

	<div class="row">
		<div class="col-lg-10 col-lg-push-1">
			<div class="row" data-match-heights-of='[".category__content"]'>

				<?php foreach ($activities as $activity): ?>
					<div class="col-xs-6 col-sm-3 col-md-1_5 col-lg-1_5">
						<a class="category category--border<?php
							if (!empty($activity['Activity']['theme_id'])) {
								echo " theme--" . $activity['Activity']['theme_id'];
							}
						?>" href="<?php echo $this->Html->url([
							'plugin' => 'buzz_photos',
							'controller' => 'activities',
							'action' => 'view',
							$activity['Activity']['id']]);
						?>">
							<?php
								$img = (empty($activity['Image'][0])) ? '/img/no-image.png' : $activity['Image'][0];
								$imgHeight = 170;
								$imgWidth = 140;
								echo $this->Image->resize($img, [
									'width' => $imgWidth,
									'height' => $imgHeight,
									'crop' => true]
								);
							?>
							<div class="category__content">
								<div>
									<h3><?php echo $this->I18n->translate($activity, 'Activity.name'); ?><i class="fa fa-chevron-circle-right fa-inline"></i></h3>
								</div>
							</div>
						</a>
						<div class="content__spacer"></div>
					</div>
				<?php endforeach; ?>
			</div>
		</div>
	</div>
</div>

<?php
$this->start('script');
	echo $this->Html->script('BuzzPhotos.photos');
$this->end();